
<?php

/*************************

  Coppermine Photo Gallery

  ************************

  Copyright (c) 2003-2006 Coppermine Dev Team

  v1.1 originally written by Gregory DEMAR



  This program is free software; you can redistribute it and/or modify

  it under the terms of the GNU General Public License as published by

  the Free Software Foundation; either version 2 of the License, or

  (at your option) any later version.

  ********************************************

  Coppermine version: 1.4.9

  $Source$

  $Revision: 3223 $

  $Author: donnoman $

  $Date: 2006-08-12 08:44:56 +0200 (Sa, 12 Aug 2006) $

**********************************************/



// ------------------------------------------------------------------------- //

// This theme has all CORE items that are available                          //

// ------------------------------------------------------------------------- //



// The following terms can be defined in theme.php

// ('THEME_HAS_RATING_GRAPHICS', 1) : The location for the ratings graphics will

//    be directed to the themes images folder.

//    RUBBISH   : images/rating0.gif

//    POOR      : images/rating1.gif

//    FAIR      : images/rating2.gif

//    GOOD      : images/rating3.gif

//    EXCELLENT : images/rating4.gif

//    GREAT     : images/rating5.gif

//('THEME_HAS_NAVBAR_GRAPHICS', 1); : The location for the navbar graphics will

//    be directed to the themes images folder.

//    Back to thumbnails   : images/thumbnails.gif

//    Picture Information  : images/info.gif

//    Slideshow            : images/slideshow.gif

//    Report to admin      : images/report.gif

//    Ecard                : images/ecard.gif

//    Previous             : images/prev.gif

//    Next                 : images/next.gif

// ('THEME_HAS_FILM_STRIP_GRAPHIC', 1) : The location for the film strip graphics will

//    be directed to the themes images folder.

//    tile                 : images/tile.gif

// ('THEME_HAS_FILM_STRIP_GRAPHICS', 1) : The location for the film strip graphics will

//    be directed to the themes images folder.

//    tile on the top      : images/tile1.gif

//    tile on the bottom   : images/tile2.gif

//  ('THEME_HAS_NO_SYS_MENU_BUTTONS', 1) : When present the system won't attempt to replace {BUTTONS} in the SYS_MENU template

//    The entire block needs to be present like in Coppermine 1.3 themes

//  ('THEME_HAS_NO_SUB_MENU_BUTTONS', 1) When present the system won't attempt to replace {BUTTONS} in the SUB_MENU template

//    The entire block needs to be present like in Coppermine 1.3 themes

//  ('THEME_IS_XHTML10_TRANSITIONAL',1) : If theme is defined as XHTML10_TRANSITIONAL the VANITY footer will be enabled

//    if the theme has a {VANITY} token in its template.html. Don't enable this if you have modified the code! See the

//    docs/theme.html documentation for validation methodology.


// HTML template for sys menu
$template_sys_menu = <<<EOT

                        <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
<!-- BEGIN home -->
                                        <td>
                                                <a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a>
                                        </td>
                                       
<!-- END home -->


<!-- BEGIN my_friends -->					
												<td>
                                               <a href="{MY_BUDDY_TGT}" title="{MY_BUDDY_LNK}" class="navmenu">{MY_BUDDY_LNK}</a>
											   </td>
<!-- END my_friends -->

<!-- BEGIN my_gallery -->
                                        <td>
                                                <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a>
                                        </td>
                                       
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
                                        <td>
                                                <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a>
                                        </td>
                                        
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
                              <!--          <td>
                                                <a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a>
                                        </td> -->
               
<!-- END my_profile -->
<!-- BEGIN faq -->
                                        <td>
                                        <a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a>
                                        </td>
                                        
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                        <td>
                                                <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a>
                                        </td>
                                        
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                                        <td>
                                                <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a>
                                        </td>
                  
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                        <td>
                                                <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a>
                                        </td>
                                     
<!-- END upload_pic -->
<!-- BEGIN register -->
                                        <td>
                                              New around here?  <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a>
                                        </td>
                        
<!-- END register -->
<!-- BEGIN login -->
             <!--                           <td>
                                                <a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a>
                                        </td> -->
<!-- END login -->
<!-- BEGIN logout -->
                                    <td>
                                                <a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a>
                                        </td> 
<!-- END logout -->
                                </tr>
                        </table>

EOT;



// HTML template for sub menu

$template_sub_menu = <<<EOT

                                      

<!-- BEGIN custom_link -->

                                          <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
<!-- END custom_link -->

<!-- BEGIN album_list -->

              <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a> 

<!-- END album_list -->

                     <!--               <a href="{LASTUP_TGT}" title="{LASTUP_LNK}">{LASTUP_LNK}</a>

                                     <a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>

                                       <a href="{TOPN_TGT}" title="{TOPN_LNK}">{TOPN_LNK}</a>  -->

                                          <!--  <a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>-->
                                           <!-- <a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a></li>	-->
										<!--	<a href="http://www.folkphotography.com/prints/faq.php">Help</a>-->
										<!-- <a href="{SEARCH_TGT}" title="{SEARCH_LNK}">{SEARCH_LNK}</a>  -->

                                     



EOT;



// Function for writing a pageheader

function pageheader($section, $meta = '')

{

    global $CONFIG, $THEME_DIR;

    global $template_header, $lang_charset, $lang_text_dir;



    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);



        $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];



    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');

        header("Content-Type: text/html; charset=$charset");

    user_save_profile();



    $template_vars = array('{LANG_DIR}' => $lang_text_dir,

        '{TITLE}' => $CONFIG['gallery_name'] . ' - ' . strip_tags(bb_decode($section)),

        '{CHARSET}' => $charset,

        '{META}' => $meta,

        '{GAL_NAME}' => $CONFIG['gallery_name'],

        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],

        '{SYS_MENU}' => theme_main_menu('sys_menu'),

        

        '{ADMIN_MENU}' => theme_admin_mode_menu(),

        '{CUSTOM_HEADER}' => $custom_header,

        );



    echo template_eval($template_header, $template_vars);

}



// Function for writing a pagefooter

function pagefooter()

{

    //global $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_SERVER_VARS;

    global $USER, $USER_DATA, $ALBUM_SET, $CONFIG, $time_start, $query_stats, $queries;;

    global $template_footer;



    $custom_footer = cpg_get_custom_include($CONFIG['custom_footer_path']);



    if ($CONFIG['debug_mode']==1 || ($CONFIG['debug_mode']==2 && GALLERY_ADMIN_MODE)) {

    cpg_debug_output();

    }



    $template_vars = array(

        '{CUSTOM_FOOTER}' => $custom_footer,
		
		'{SUB_MENU}' => theme_main_menu('sub_menu'),

        '{VANITY}' => (defined('THEME_IS_XHTML10_TRANSITIONAL') && $CONFIG['vanity_block']) ? theme_vanity() : '',

    );



    echo template_eval($template_footer, $template_vars);

}



// Function to start a 'standard' table

function starttable($width = '-1', $title = '', $title_colspan = '1')

{

    global $CONFIG;



    if ($width == '-1') $width = $CONFIG['picture_table_width'];

    if ($width == '100%') $width = $CONFIG['main_table_width'];

    echo <<<EOT



<!-- Start standard table -->

<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable">



EOT;

    if ($title) {

        echo <<<EOT

        <tr>

                <td class="tableh1" colspan="$title_colspan">$title</td>

        </tr>



EOT;

    }

}


// HTML template for title row of the thumbnail view (album title + sort options)

$template_thumb_view_title_row = <<<EOT

<!--

                        <table width="100%" cellpadding="0" cellspacing="0">

                        <tr>

                                <td width="100%" class="statlink"><h2>{ALBUM_NAME}</h2></td>

                                <td><img src="images/spacer.gif" width="1" alt="" /></td>

                                <td class="sortorder_cell">

                                        <table cellpadding="0" cellspacing="0">

                                        <tr>

                                                <td class="sortorder_options">{TITLE}</td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a></span></td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a></span></td>

                                        </tr>

                                        <tr>

                                                <td class="sortorder_options">{NAME}</td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a></span></td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a></span></td>

                                        </tr>

                                        <tr>

                                                <td class="sortorder_options">{DATE}</td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a></span></td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a></span></td>

                                        </tr>

                                        <tr>

                                                <td class="sortorder_options">{POSITION}</td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a></span></td>

                                                <td class="sortorder_options"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a></span></td>

                                        </tr>

                                        </table>

                                </td>

                        </tr>

                        </table>-->



EOT;


// HTML template for the album list

$template_album_list_cat = <<<EOT



<!-- BEGIN c_stat_row -->

      <!--  <tr>

                <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink">{STATISTICS}</span></td>

        </tr>-->

<!-- END c_stat_row -->

<!-- BEGIN c_header -->

        <tr class="tableb_compact">

<!-- END c_header -->

<!-- BEGIN c_album_cell -->

        <td width="{COL_WIDTH}%" valign="top">

        <table width="100%" cellspacing="0" cellpadding="0">

        <tr>

                <td colspan="3" height="1" valign="top" class="tableh2">

                        <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>

                </td>

        </tr>

        <tr>

                <td colspan="3">

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />

                </td>

        </tr>

        <tr>

                <td align="center" valign="middle" class="thumbnails">

                        <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />

                        <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>

                </td>

                <td>

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" />

                </td>

                <td width="100%" valign="top" class="tableb_compact">

                        {ADMIN_MENU}

                        <p>{ALB_DESC}</p>

                        <p class="album_stat">{ALB_INFOS}</p>

                </td>

        </tr>

        </table>

        </td>

<!-- END c_album_cell -->

<!-- BEGIN c_empty_cell -->

        <td width="{COL_WIDTH}%" valign="top">

        <table width="100%" cellspacing="0" cellpadding="0" >

        <tr>

                <td height="1" valign="top" class="tableh2">

                        <b>&nbsp;</b>

                </td>

        </tr>

        <tr>

                <td>

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />

                </td>

        </tr>

        <tr>

                <td width="100%" valign="top" class="tableb_compact" >

                      <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>

                </td>

        </tr>

        </table>

        </td>

<!-- END c_empty_cell -->

<!-- BEGIN c_row_separator -->

        </tr>

        <tr class="tableb_compact">

<!-- END c_row_separator -->

<!-- BEGIN c_footer -->

        </tr>

<!-- END c_footer -->

<!-- BEGIN c_tabs -->

        <tr>

                <td colspan="{COLUMNS}" style="padding: 0px;">

                        <table width="100%" cellspacing="0" cellpadding="0">

                                <tr>

                                       {TABS}

                                </tr>

                        </table>

                </td>

        </tr>

<!-- END c_tabs -->

<!-- BEGIN c_spacer -->

        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />

<!-- END c_spacer -->



EOT;



// HTML template for the album list

$template_album_list = <<<EOT



<!-- BEGIN stat_row -->

        <!--<tr>

                <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink">{STATISTICS}</span></td>

        </tr>-->

<!-- END stat_row -->

<!-- BEGIN header -->

        <tr class="tableb_compact">

<!-- END header -->

<!-- BEGIN album_cell -->

        <td width="{COL_WIDTH}%" valign="top">

        <table width="100%" cellspacing="0" cellpadding="0">

        <tr>

                <td colspan="3" height="1" align="left" valign="top" class="tableh2">

                        <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>

                </td>

        </tr>

        <tr>

                <td colspan="3">

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />

                </td>

        </tr>

        <tr>

                <td align="center" valign="middle" class="thumbnails">

                        <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />

                        <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>

                </td>

                <td>

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" />

                </td>

                <td width="100%" valign="top" align="left" class="tableb_compact">

                        {ADMIN_MENU}

                        <p>{ALB_DESC}</p>

             <!--           <p class="album_stat">{ALB_INFOS}</p>  -->

                </td>

        </tr>

        </table>

        </td>

<!-- END album_cell -->

<!-- BEGIN empty_cell -->

        <td width="{COL_WIDTH}%" valign="top">

        <table width="100%" cellspacing="0" cellpadding="0">

        <tr>

                <td height="1" valign="top" class="tableh2">

                        <b>&nbsp;</b>

                </td>

        </tr>

        <tr>

                <td>

                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />

                </td>

        </tr>

        <tr>

                <td width="100%" valign="top" class="tableb_compact">

                    <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>

                </td>

        </tr>

        </table>

        </td>

<!-- END empty_cell -->

<!-- BEGIN row_separator -->

        </tr>

        <tr class="tableb_compact">

<!-- END row_separator -->

<!-- BEGIN footer -->

        </tr>

<!-- END footer -->

<!-- BEGIN tabs -->

        <tr>

                <td colspan="{COLUMNS}" style="padding: 0px;">

                        <table width="100%" cellspacing="0" cellpadding="0">

                                <tr>

                                       {TABS}

                                </tr>

                        </table>

                </td>

        </tr>

<!-- END tabs -->

<!-- BEGIN spacer -->

        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />

<!-- END spacer -->



EOT;


// HTML template for the image navigation bar
if (!isset($template_img_navbar))  //{THEMES}
$template_img_navbar = <<<EOT

        <tr><td>
			<table id="navtable" width="500"><tr>
			
			    <td align="center" valign="middle" class="navmenu" width="28">
                        <a href="{PREV_TGT}" class="navmenu_pic" title="{PREV_TITLE}"><img src="http://www.folkphotography.com/style_images/nav_left.gif"  border="0" align="middle" alt="{PREV_TITLE}" /></a>
                </td>
				    <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{THUMB_TGT}" class="navmenu_pic" title="{THUMB_TITLE}"><img src="http://www.folkphotography.com/style_images/thumbnails.gif" align="middle" border="0" alt="{THUMB_TITLE}" /></a>
                </td>
				  <td align="center" valign="middle" class="navmenu" width="28">
                       <a href="{NEXT_TGT}" class="navmenu_pic" title="{NEXT_TITLE}"><img src="http://www.folkphotography.com/style_images/nav_right.gif"  border="0" align="middle" alt="{NEXT_TITLE}" /></a>
                </td>
<!--                <td align="center" valign="middle" class="navmenu" width="48">
                   <a href="javascript:;" class="navmenu_pic" onclick="blocking('picinfo','yes', 'block'); return false;" title="{PIC_INFO_TITLE}"><img src="{LOCATION}images/info.gif" border="0" align="middle" alt="{PIC_INFO_TITLE}" /></a>
            </td> 
			
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{SLIDESHOW_TGT}" class="navmenu_pic" title="{SLIDESHOW_TITLE}"><img src="{LOCATION}images/slideshow.gif" border="0" align="middle" alt="{SLIDESHOW_TITLE}" /></a>
                </td> 
  <td align="center" valign="middle" class="navmenu" white-space="nowrap" width="100%">
                           {PIC_POS}   
                </td>-->
<!-- BEGIN report_file_button -->
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{REPORT_TGT}" class="navmenu_pic" title="{REPORT_TITLE}"><img src="{LOCATION}images/report.gif" border="0" align="middle" alt="{REPORT_TITLE}" /></a>
                </td>
<!-- END report_file_button -->


<!-- BEGIN ecard_button -->

        <!--        <td align="center" valign="middle" class="navmenu" width="48">

                        <a href="{ECARD_TGT}" class="navmenu_pic" title="{ECARD_TITLE}"><img src="{LOCATION}images/ecard.gif"  border="0" align="middle" alt="{ECARD_TITLE}" /></a>

                </td>  -->

<!-- END ecard_button -->

<td width="200" align="right" id="click">click on the image to enlarge</td>
</tr></table>
</td>
              </tr>
              
        </tr>
EOT;


if (!function_exists('theme_html_img_nav_menu')) {  //{THEMES}
function theme_html_img_nav_menu()
{
    global $CONFIG, $CURRENT_PIC_DATA, $meta_nav, $THEME_DIR ; //$PHP_SELF,
    global $album, $cat, $pos, $pic_count, $lang_img_nav_bar, $lang_text_dir, $template_img_navbar;

    $cat_link = is_numeric($album) ? '' : '&amp;cat=' . $cat;
    $human_pos = $pos + 1;
    $page = ceil(($pos + 1) / ($CONFIG['thumbrows'] * $CONFIG['thumbcols']));
    $pid = $CURRENT_PIC_DATA['pid'];
    $ecart1_tgt = "purchase.php?album=$album&amp;cat=$cat&amp;pos=$pos";
    $ecart2_tgt = "custom_mounts.php?album=$album&amp;cat=$cat&amp;pos=$pos";
    $start = 0;
        $start_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$start";
        $start_title = $lang_img_nav_bar['go_album_start'];
        $meta_nav .= "<link rel=\"start\" href=\"$start_tgt\" title=\"$start_title\" />
        ";
        $end = $pic_count - 1;
        $end_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$end";
        $end_title = $lang_img_nav_bar['go_album_end'];
        $meta_nav .= "<link rel=\"last\" href=\"$end_tgt\" title=\"$end_title\" />

        ";

    if ($pos > 0) {
        $prev = $pos - 1;
        $prev_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$prev";
        $prev_title = $lang_img_nav_bar['prev_title'];
                                $meta_nav .= "<link rel=\"prev\" href=\"$prev_tgt\" title=\"$prev_title\" />
                                ";
    } else {
        $prev_tgt = "javascript:;";
        $prev_title = "";
    }

    if ($pos < ($pic_count -1)) {
        $next = $pos + 1;
        $next_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pos=$next";
        $next_title = $lang_img_nav_bar['next_title'];
                                $meta_nav .= "<link rel=\"next\" href=\"$next_tgt\" title=\"$next_title\"/>
                                ";
    } else {
        $next_tgt = "javascript:;";
        $next_title = "";
    }

    if (USER_CAN_SEND_ECARDS) {
        $ecard_tgt = "ecard.php?album=$album$cat_link&amp;pid=$pid&amp;pos=$pos";
        $ecard_title = $lang_img_nav_bar['ecard_title'];
    } else {
        template_extract_block($template_img_navbar, 'ecard_button'); // added to remove button if cannot send ecard
        /*$ecard_tgt = "javascript:alert('" . addslashes($lang_img_nav_bar['ecard_disabled_msg']) . "');";
        $ecard_title = $lang_img_nav_bar['ecard_disabled'];*/
    }

                //report to moderator buttons
    if (($CONFIG['report_post']==1) && (USER_CAN_SEND_ECARDS)) {
        $report_tgt = "report_file.php?album=$album$cat_link&amp;pid=$pid&amp;pos=$pos";
    } else { // remove button if report toggle is off
        template_extract_block($template_img_navbar, 'report_file_button');

    }

        $thumb_tgt = "thumbnails.php?album=$album$cat_link&amp;page=$page";
        $meta_nav .= "<link rel=\"up\" href=\"$thumb_tgt\" title=\"".$lang_img_nav_bar['thumb_title']."\"/>
        ";

    $slideshow_tgt = "{$_SERVER['PHP_SELF']}?album=$album$cat_link&amp;pid=$pid&amp;slideshow=".$CONFIG['  slideshow_interval'];

    $pic_pos = sprintf($lang_img_nav_bar['pic_pos'], $human_pos, $pic_count);

    if (defined('THEME_HAS_NAVBAR_GRAPHICS')) {
            $location= $THEME_DIR;
        } else {
            $location= '';
        }

    $params = array('{THUMB_TGT}' => $thumb_tgt,
        '{THUMB_TITLE}' => $lang_img_nav_bar['thumb_title'],
        '{PIC_INFO_TITLE}' => $lang_img_nav_bar['pic_info_title'],
        '{SLIDESHOW_TGT}' => $slideshow_tgt,
        '{SLIDESHOW_TITLE}' => $lang_img_nav_bar['slideshow_title'],
        '{PIC_POS}' => $pic_pos,
        '{ECARD_TGT}' => $ecard_tgt,
        '{ECARD_TITLE}' => $ecard_title,
        '{ECART1_TGT}' => $ecart1_tgt,
        '{ECART2_TGT}' => $ecart2_tgt,
        '{PREV_TGT}' => $prev_tgt,
        '{PREV_TITLE}' => $prev_title,
        '{NEXT_TGT}' => $next_tgt,
        '{NEXT_TITLE}' => $next_title,
        '{PREV_IMAGE}' => ($lang_text_dir=='ltr') ? 'prev' : 'next',
        '{NEXT_IMAGE}' => ($lang_text_dir=='ltr') ? 'next' : 'prev',
        '{REPORT_TGT}' => $report_tgt,
        '{REPORT_TITLE}' => $lang_img_nav_bar['report_title'],
        '{LOCATION}' => $location,
        );

    return template_eval($template_img_navbar, $params);
}
} 
define('THEME_HAS_FILM_STRIP_GRAPHIC', 1); 

// HTML template for filmstrip display
$template_film_strip = <<<EOT
<tr><td>
	<table width="100%" cellspacing="0" cellpadding="0">			
		<tr>
		<!--<td valign="top" style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></td>-->
		<td>
         	{THUMB_STRIP}
		</td> 
	<!--	<td valign="top" style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></td> -->
        	</tr>
	</table>
</td></tr>
	
<!-- BEGIN thumb_cell -->
			<table width="80%" cellspacing="0" cellpadding="0">
			<tr>
				<td align="center">
				<a href="{LINK_TGT}">{THUMB}</a>
				</td>
			</tr>
			</table>
			{CAPTION}
			{ADMIN_MENU}
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" align="center">&nbsp;</td>
<!-- END empty_cell -->

EOT;


// HTML template for intermediate image display - HS: valign
$template_display_media = <<<EOT
                <td align="center" valign="top" class="display_media" height="{CELL_HEIGHT}" style="white-space: nowrap; padding: 0px 0px 30px 0px;">
                        <table cellspacing="2" cellpadding="0" class="imageborder">
                               <tr>
                                        <td align="center">
                                                {IMAGE}
                                                {ADMIN_MENU}
                                        </td>
                               </tr>
                        </table>
<!-- BEGIN img_desc -->
                        <table cellpadding="0" cellspacing="0" class="tableb">
<!-- BEGIN title -->
                                <tr>
                                        <td class="tableb"><center><b>
                                                {TITLE}
                                        </b></center></td>
                                </tr>
<!-- END title -->
<!-- BEGIN caption -->
                                <tr>
                                        <td class="tableb"><center>
                                                {CAPTION}
                                        </center></td>
                                </tr>
<!-- END caption -->
                        </table>
<!-- END img_desc -->
                </td>
EOT;

// Added to display film_strip
function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')
{
    global $CONFIG, $THEME_DIR;
    global $template_film_strip, $lang_film_strip;

    static $template = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $spacer = '';

    if ((!$template)) {
        $template = $template_film_strip;
        $thumb_cell = template_extract_block($template, 'thumb_cell');
        $empty_cell = template_extract_block($template, 'empty_cell');
    }

    $cat_link = is_numeric($aid) ? '' : '&cat=' . $cat;

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';

    $i = 0;
    $thumb_strip = '';
    foreach($thumb_list as $thumb) {
        $i++;
        if ($mode == 'thumb') {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&pos={$thumb['pos']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        }
        $thumb_strip .= template_eval($thumb_cell, $params);
    }

    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {
        $tile1 = $THEME_DIR . 'images/tile1.gif';
        $tile2 = $THEME_DIR . 'images/tile2.gif';
    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {
        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';
    } else {
        $tile1=$tile2= 'images/tile.gif';
    }

    $params = array('{THUMB_STRIP}' => $thumb_strip,
        '{COLS}' => $i,
        '{TILE1}' => $tile1,
        '{TILE2}' => $tile2,
        );

    ob_start();
    starttable('');
      echo template_eval($template, $params);
    endtable();
    $film_strip = ob_get_contents();
    ob_end_clean();

    return $film_strip;
}

function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $HTTP_COOKIE_VARS, $CONFIG;

    starttable();
	    echo $nav_menu;
    endtable();
    starttable();
    if ($CONFIG['display_film_strip'] == 1) {
		echo "<tr><td width='200' class='tableb' valign='middle' ><!-- gb before film_strip -->";
	        echo $film_strip;
		echo "</td><!-- gb after film_strip -->";
    }
		echo "<!-- gb before picture -->";		
    echo $picture;
    echo "</tr><!-- gb after picture -->";
    endtable();

    starttable();
    	echo $votes;
    endtable();

    $picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
    starttable();
    echo $pic_info;
    endtable();
    echo "</div>\n";

    starttable();
    echo $comments;
    endtable();
}


//Rating change
$template_image_rating = <<<EOT
<table width="400px" cellspacing="1" cellpadding="0" class="maintable" align="center">
        <tr>
                <td colspan="6" class="tableh2_compact"><b>{TITLE}</b></td>   
                <td class="tableb_compact">{RATESCRIPT}</td>
		</tr>
		</table>
		<table width="600px" cellspacing="1" cellpadding="0" class="maintable" align="center">
		<tr>		
				<td align="right">{VOTES}</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>
        </tr>
		
		</table>
		
EOT;
function theme_html_rating_box()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $THEME_DIR;
    global $template_image_rating, $lang_rate_pic;

    if (!(USER_CAN_RATE_PICTURES && $CURRENT_ALBUM_DATA['votes'] == 'YES')) return '';

    $votes = $CURRENT_PIC_DATA['votes'] ? sprintf($lang_rate_pic['rating'], round($CURRENT_PIC_DATA['pic_rating'] / 2000, 1), $CURRENT_PIC_DATA['votes']) : $lang_rate_pic['no_votes'];
    $pid = $CURRENT_PIC_DATA['pid'];

    if (defined('THEME_HAS_RATING_GRAPHICS')) {
        $location= $THEME_DIR;
    } else {
        $location= '';
    }

    $params = array('{TITLE}' => $lang_rate_pic['rate_this_pic'],
	
		'{RATESCRIPT}' => '<script type="text/javascript" language="JavaScript">displayStars(' . round($CURRENT_PIC_DATA['pic_rating'] / 2000, 0) . ', ' . $pid . ', "");</script>',
        '{VOTES}' => $votes,
        '{WIDTH}' => $CONFIG['picture_table_width'],
        '{LOCATION}' => $location,        //theme dir or default images directory
        );

    return template_eval($template_image_rating, $params);
} 


// Template used for tabbed display

$template_tab_display = array('left_text' => '<td width="60%" align="left" valign="middle" class="tableh1_compact" style="white-space: nowrap"><b>{LEFT_TEXT}</b></td>' . "\n",

    'tab_header' => '',

    'tab_trailer' => '',

    'active_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="pagetabs"><b>%d</b></td>',

    'inactive_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="pagetabs"><a href="{LINK}"><b>%d</b></a></td>' . "\n",

    'inactive_prev_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="navmenu"><a href="{LINK}"><b>{PREV}</b></a></td>' . "\n",

    'inactive_next_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="navmenu"><a href="{LINK}"><b>{NEXT}</b></a></td>' . "\n",

);


// Displays a picture
function theme_html_picture()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $USER;
    global $album, $comment_date_fmt, $template_display_media;
    global $lang_display_image_php, $lang_picinfo;

    $pid = $CURRENT_PIC_DATA['pid'];
    $pic_title = '';

    if (!isset($USER['liv']) || !is_array($USER['liv'])) {
        $USER['liv'] = array();
    }
    // Add 1 to hit counter
    if (!USER_IS_ADMIN && !in_array($pid, $USER['liv']) && isset($_COOKIE[$CONFIG['cookie_name'] . '_data'])) {
        add_hit($pid);
        if (count($USER['liv']) > 4) array_shift($USER['liv']);
        array_push($USER['liv'], $pid);
    }

    if($CONFIG['thumb_use']=='ht' && $CURRENT_PIC_DATA['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored
      $condition = true;
    }elseif($CONFIG['thumb_use']=='wd' && $CURRENT_PIC_DATA['pwidth'] > $CONFIG['picture_width']){
      $condition = true;
    }elseif($CONFIG['thumb_use']=='any' && max($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']) > $CONFIG['picture_width']){
      $condition = true;
    }else{
     $condition = false;
    }
$picture_page = "./displayimage.php?album=".$picture['aid']."&pos=-".$picture['pid'];

    if ($CURRENT_PIC_DATA['title'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['title'] . "\n";
    }
    if ($CURRENT_PIC_DATA['caption'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['caption'] . "\n";
    }
    if ($CURRENT_PIC_DATA['keywords'] != '') {
        $pic_title .= $lang_picinfo['Keywords'] . ": " . $CURRENT_PIC_DATA['keywords'];
    }

    if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {
        template_extract_block($template_display_media, 'img_desc');
    } else {
        if (!$CURRENT_PIC_DATA['title']) {
            template_extract_block($template_display_media, 'title');
        }
        if (!$CURRENT_PIC_DATA['caption']) {
            template_extract_block($template_display_media, 'caption');
        }
    }

    $CURRENT_PIC_DATA['menu'] = html_picture_menu(); //((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) ? html_picture_menu($pid) : '';

    if ($CONFIG['make_intermediate'] && $condition ) {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'normal');
    } else {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'fullsize');
    }

    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);

    $pic_title = '';
    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);


    if ($mime_content['content']=='movie' || $mime_content['content']=='audio') {

        if ($CURRENT_PIC_DATA['pwidth']==0 || $CURRENT_PIC_DATA['pheight']==0) {
            $CURRENT_PIC_DATA['pwidth']  = 320; // Default width

            // Set default height; if file is a movie
            if ($mime_content['content']=='movie') {
                $CURRENT_PIC_DATA['pheight'] = 240; // Default height
            }
        }

        $ctrl_offset['mov']=15;
        $ctrl_offset['wmv']=45;
        $ctrl_offset['swf']=0;
        $ctrl_offset['rm']=0;
        $ctrl_offset_default=45;
        $ctrl_height = (isset($ctrl_offset[$mime_content['extension']]))?($ctrl_offset[$mime_content['extension']]):$ctrl_offset_default;
        $image_size['whole']='width="'.$CURRENT_PIC_DATA['pwidth'].'" height="'.($CURRENT_PIC_DATA['pheight']+$ctrl_height).'"';
    }

    if ($mime_content['content']=='image') {
        if (isset($image_size['reduced'])) {
#################################################
	        //First part of lightbox update			
			$pic_html = lightbox_list($CURRENT_PIC_DATA['pid']);
			//End of first part
#################################################
        } else {
            $pic_html = "<img src=\"" . $picture_url . "\" {$image_size['geom']} class=\"image\" border=\"0\" alt=\"\" /><br />\n";
        }
    } elseif ($mime_content['content']=='document') {
        $pic_thumb_url = get_pic_url($CURRENT_PIC_DATA,'thumb');
        $pic_html = "<a href=\"{$picture_url}\" target=\"_blank\" class=\"document_link\"><img src=\"".$pic_thumb_url."\" border=\"0\" class=\"image\" /></a>\n<br />";
    } else {
        $autostart = ($CONFIG['media_autostart']) ? ('true'):('false');

        $players['WMP'] = array('id' => 'MediaPlayer',
                                'clsid' => 'classid="clsid:6BF52A52-394A-11D3-B153-00C04F79FAA6" ',
                                'codebase' => 'codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" ',
                                'mime' => 'type="application/x-mplayer2" ',
                               );
        $players['RMP'] = array('id' => 'RealPlayer',
                                'clsid' => 'classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" ',
                                'codebase' => '',
                                'mime' => 'type="audio/x-pn-realaudio-plugin" '
                               );
        $players['QT']  = array('id' => 'QuickTime',
                                'clsid' => 'classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" ',
                                'codebase' => 'codebase="http://www.apple.com/qtactivex/qtplugin.cab" ',
                                'mime' => 'type="video/x-quicktime" '
                               );
        $players['SWF'] = array('id' => 'SWFlash',
                                'clsid' => ' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ',
                                'codebase' => 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ',
                                'mime' => 'type="application/x-shockwave-flash" '
                               );
        $players['UNK'] = array('id' => 'DefaultPlayer',
                                'clsid' => '',
                                'codebase' => '',
                                'mime' => ''
                               );

        if (isset($_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'])) {
            $user_player = $_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'];
        } else {
            $user_player = $mime_content['player'];
        }

                // There isn't a player selected or user wants client-side control
        if (!$user_player) {
            $user_player = 'UNK';
        }

        $player = $players[$user_player];

        $pic_html  = '<object id="'.$player['id'].'" '.$player['classid'].$player['codebase'].$player['mime'].$image_size['whole'].'>';
        $pic_html .= "<param name=\"autostart\" value=\"$autostart\" /><param name=\"src\" value=\"". $picture_url . "\" />";
        $pic_html .= '<embed '.$image_size['whole'].' src="'. $picture_url . '" autostart="'.$autostart.'" '.$player['mime'].'></embed>';
        $pic_html .= "</object><br />\n";
    }

    $CURRENT_PIC_DATA['html'] = $pic_html;
    $CURRENT_PIC_DATA['header'] = '';
    $CURRENT_PIC_DATA['footer'] = '';

    $CURRENT_PIC_DATA = CPGPluginAPI::filter('file_data',$CURRENT_PIC_DATA);

    $params = array('{CELL_HEIGHT}' => '100',
        '{IMAGE}' => $CURRENT_PIC_DATA['header'].$CURRENT_PIC_DATA['html'].$CURRENT_PIC_DATA['footer'],
        '{ADMIN_MENU}' => $CURRENT_PIC_DATA['menu'],
        '{TITLE}' => bb_decode($CURRENT_PIC_DATA['title']),
        '{CAPTION}' => bb_decode($CURRENT_PIC_DATA['caption']),
        );

    return template_eval($template_display_media, $params);
}

#################################################
 //Second part of lightbox update
 
function lightbox_list($picId) {
    global $lang_display_image_php;

	$i = 0;
	$pid = $picId;
	$pic_data = get_pic_data($_GET['album'], $pic_count, $album_name, -1, -1, false);
	foreach ($pic_data as $picture) {
		if($CONFIG['thumb_use']=='ht' && $picture['pheight'] > $CONFIG['picture_width'] ){
		  $condition = true;
		}elseif($CONFIG['thumb_use']=='wd' && $picture['pwidth'] > $CONFIG['picture_width']){
		  $condition = true;
		}elseif($CONFIG['thumb_use']=='any' && max($picture['pwidth'], $picture['pheight']) > $CONFIG['picture_width']){
		  $condition = true;
		}else{
		$condition = false;
		}
		if (is_image($picture['filename'])) {
			if ($CONFIG['make_intermediate'] && $condition ) {
				$picture_url = get_pic_url($picture, 'normal');
			} else {
				$picture_url = get_pic_url($picture, 'normal');
			}
			$picture_url_fullsize = get_pic_url($picture, 'fullsize');
			$pic_title = ($picture['title'] ? $picture['title'] : strtr(preg_replace("/(.+)\..*?\Z/", "\\1", htmlspecialchars($picture['filename'])), "_", " "));
			if ($picture['pid'] == $pid) {
			$picList .= "<a href=\"$picture_url_fullsize\" picpage=\"$picture_page\" rel=\"lightbox[list]\" title=\"$pic_title\">";
            $picList .= "<img src=\"$picture_url\" class=\"image\" border=\"0\" alt=\"$lang_display_image_php[view_fs]\" /><br />";
            $picList .= "</a>\n";
			}else{
			$picList .= "<a href=\"$picture_url_fullsize\" picpage=\"$picture_page\" rel=\"lightbox[list]\" title=\"$pic_title\"></a>\n";
			}
			$i++;
		}
	}
	return $picList;
}//End of second part
#################################################


?>
